
Figure - Bug #117721
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT3】【taptap】从游戏中心下载taptap,打开后显示数据加载失败，无法进行应用下载安装
2023-04-28 11:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-28

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: INVALID Degrated: --

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 设备系统时间设置如果不是标准时间，可导致app打开后显示　数据通信错误��

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开游戏中心

2、下载TAPTAP

3、打开taptap

【预期结果】

2、成功进入taptap相应页面

【实际结果】

2、打开后显示数据加载失败，无法进行应用下载安装

History

#1 - 2023-04-28 16:04 - CD TPM-王祥林

- Category changed from CD-APP to LC

- Assignee changed from CD TPM-王祥林 to CD LC 陶洪普

洪普

看起来又是app没有网络权限，处理一下呢。

04-28 03:50:03.802 29845 29845 I auditd  : type=1400 audit(0.0:11755): avc: denied { read } for comm="Thread-73" name="tcp" dev="proc" ino=4026532256

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.taptap

04-28 03:50:03.802 29845 29845 W Thread-73: type=1400 audit(0.0:11755): avc: denied { read } for name="tcp" dev="proc" ino=4026532256

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.taptap

#2 - 2023-04-28 17:16 - CD LC 陶洪普

- Status changed from New to ASSIGNED

#============= Added for com.taptap ==============
allow untrusted_app_27 proc_diskstats:file read;

allow untrusted_app_27 proc_net_tcp_udp:file read;

allow untrusted_app_27 proc_version:file read;

allow untrusted_app_27 rootfs:dir read;

allow untrusted_app_27 system_data_file:dir read;

allow untrusted_app_27 vendor_file:file getattr;

allow untrusted_app_27 vendor_firmware_file:dir read;

增加了上面规则 在 untrusted_app_27.te , 对应的下面这些权限报错.

04-28 03:13:58.450 18151 18151 I auditd  : type=1400 audit(0.0:5534): avc: denied { read } for comm="Thread-88" name="diskstats" dev="proc" ino=4026532293

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:proc_diskstats:s0 tclass=file permissive=0 app=com.taptap

04-28 03:14:04.298 18151 18151 I auditd  : type=1400 audit(0.0:5542): avc: denied { read } for comm="Thread-69" name="tcp" dev="proc" ino=4026532256

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.taptap

04-28 03:22:08.106 21951 21951 I auditd  : type=1400 audit(0.0:7655): avc: denied { read } for comm="DefaultDispatch" name="version" dev="proc" ino=4026532238

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:proc_version:s0 tclass=file permissive=0 app=com.taptap

04-28 03:37:45.670 27743 27743 I auditd  : type=1400 audit(0.0:10356): avc: denied { read } for comm="qm-thread-2" name="/" dev="dm-5" ino=2

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:rootfs:s0 tclass=dir permissive=0 app=com.taptap

04-28 03:13:57.290 18151 18151 I auditd  : type=1400 audit(0.0:4869): avc: denied { read } for comm=7265717565737420746872656164 name="system" dev="dm-10"

ino=121 scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:system_data_file:s0 tclass=dir permissive=0 app=com.taptap

04-28 03:13:57.290 18151 18151 I auditd  : type=1400 audit(0.0:4873): avc: denied { getattr } for comm=7265717565737420746872656164

path="/vendor/lib/android.hardware.audio.common-util.so" dev="dm-8" ino=1128 scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:vendor_file:s0

tclass=file permissive=0 app=com.taptap

04-28 03:13:57.290 18151 18151 I auditd  : type=1400 audit(0.0:4872): avc: denied { read } for comm=7265717565737420746872656164 name="firmware" dev="dm-8"

ino=1080 scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:object_r:vendor_firmware_file:s0 tclass=dir permissive=0 app=com.taptap

#3 - 2023-04-28 17:19 - CD LC 陶洪普

patch

https://dev.thundercomm.com/gerrit/c/general/platform/system/sepolicy/+/197133/

编译

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/3563/

#4 - 2023-05-04 18:23 - CD TPM-王祥林

VB版本刷了之后开机会出现花屏现象，触控没有任何反应。正在重新编译排查原因。

#5 - 2023-05-08 09:53 - CD LC 陶洪普

VB版本刷了之后开机会出现花屏现象，触控没有任何反应。正在重新编译排查原因。

确认花屏是合入开机图片原因，与该patch无关.

但加了Selinux权限后，仍无法访问网络，不止Selinux问题．继续分析中．
#6 - 2023-05-08 11:07 - CD LC 陶洪普

- File logcat-taptap_2.54.0-rel.txt added

#7 - 2023-05-08 11:10 - CD LC 陶洪普

从官网 https://www.taptap.cn/mobile 下载了两个版本的客户端，安装

taptap_2.54.0-rel.100000_seo.apk

taptap_2.55.0-rel.100000.apk

测试在点击首页时，一直报下面错误，无网络连接请求（在userdebug版本中，selinux关闭）

行 5852: 05-07 02:10:46.380  8607  8607 W System.err: java.lang.IllegalStateException: View

com.taptap.other.basic.impl.ui.home.bottombar.HomeBottomItemView{e96dd43 VFE...C.. ...P.... 0,0-87,81} does not have a Fragment set

    行 5854: 05-07 02:10:46.380  8607  8607 W System.err:     at

com.taptap.infra.log.common.log.extension.NavLogExtensionsKt.findCurFragment(NavLogExtensions.kt:17)

    行 5855: 05-07 02:10:46.380  8607  8607 W System.err:     at

com.taptap.other.basic.impl.application.log.TapLogCallbackImpl.setTopPagerVia(TapLogCallbackImpl.kt:138)

    行 5856: 05-07 02:10:46.381  8607  8607 W System.err:     at com.taptap.infra.log.common.logs.ViaHelper.recordClick(ViaHelper.java:46)

    行 5857: 05-07 02:10:46.381  8607  8607 W System.err:     at com.taptap.infra.log.common.track.retrofit.legacy.ClickHelper.storeTrackParams2Pager(ClickHelper.kt:17)

    行 5858: 05-07 02:10:46.381  8607  8607 W System.err:     at com.taptap.infra.log.common.track.retrofit.aspectj.ClickAspect.clickEvent(ClickAspect.kt:25)

    行 5859: 05-07 02:10:46.381  8607  8607 W System.err:     at com.taptap.other.basic.impl.ui.HomeBottomBar.onClick(HomeBottomBar.java:364)

    行 5872: 05-07 02:10:46.383  8607  8607 W System.err: java.lang.IllegalStateException: View

com.taptap.other.basic.impl.ui.home.bottombar.HomeBottomItemView{e96dd43 VFE...C.. ...P.... 0,0-87,81} does not have a Fragment set

日志已上传附件logcat-taptap_2.54.0-rel.txt

#8 - 2023-05-08 11:46 - CD LC 陶洪普

- Category changed from LC to CD-FW

- Assignee changed from CD LC 陶洪普 to CD FW 曹覃刚

Hi 覃刚

该问题变现在无法打开页面，从日志看有tcp访问linux权限限制，在加入selinux之后（或者关闭selinux），仍无法打开。

从日志看，出现Fragment相关错误（请参照上一条comment）

请帮忙分析，谢谢！

#9 - 2023-05-08 16:54 - CD LC 陶洪普

更新：

1. AF修改为原生默认的竖屏后，测试无效果

2. 从tcpdump，没有发现有传输异常，在解析local地址时，总是显示eth0的mac(ip是wlan的)

根据这点，尝试将eth0驱动去掉，测试一下

debug patch

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/171865

VB Jenkin

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/3650

#10 - 2023-05-08 17:03 - CD FW 曹覃刚

- Category changed from CD-FW to LC

- Assignee changed from CD FW 曹覃刚 to CD LC 陶洪普
#11 - 2023-05-09 18:35 - CD LC 陶洪普

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/171865

在去掉ethernet驱动后，测试仍失败．

从日志中查看networkrequest，都有回应．

#12 - 2023-05-12 14:28 - CD LC 陶洪普

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC 陶洪普 to CD TEST-方永红

- Resolution changed from -- to INVALID

- Root cause set to 设备系统时间设置如果不是标准时间，可导致app打开后显示　数据通信错误

Hi

因涉及与云服务通信，检查了当前系统时间，手动进行做了更新（自动从中控更新时间）

清空App的缓存数据，重新初始打开，首页中可以正常显示内容，版本更新和内测版本都可正常显示。

注意：

- 时间更新要与当前时间相同，测试误差在10分钟之内（不包括时区的不同）

- 超过了10分钟也会出现打开显示数据连接错误问题。

- 成功打开后，且不清除缓存数据情况下，再改变系统时间，对App的使用没有什么影响

（这几点是自测结果，具体应根据与云通信鉴权机制有关（应用的具体内容，再做了解吧））

结论

首次使用taptap时，需要保证系统时间，时区是北京标准时间。

如果打开taptap显示数据通信失败，再重新设置正常时间，还存在打开显示数据通信失败，请清空该App用户数据缓存，再打开。

详细分析请参照 https://thundersoft.feishu.cn/docx/Mt3vdsEnTozyXTxwek6cHKQxngh

#13 - 2023-05-12 15:11 - CD LC 陶洪普

- File com.taptap安装在Figure上打开后提示_数据连接错误_-202305.docx added

详细分析请参照 https://thundersoft.feishu.cn/docx/Mt3vdsEnTozyXTxwek6cHKQxngh

上传到附件。

#14 - 2023-05-15 14:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

5.15

确认设备时间与当前时间一致可正常使用

#15 - 2023-05-15 14:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
Files

47.png 35.5 KB 2023-04-28 CD TEST-方永红

349.txt 4.61 MB 2023-04-28 CD TEST-方永红

logcat-taptap_2.54.0-rel.txt 1.2 MB 2023-05-08 CD LC 陶洪普

com.taptap安装在Figure上打开后提示_数据连接错误_-202305.docx 211 KB 2023-05-12 CD LC 陶洪普
